org.icefaces.ace.event

## Class ListMigrateEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - javax.faces.event.BehaviorEvent
      - - javax.faces.event.AjaxBehaviorEvent
        - - org.icefaces.ace.event.ListMigrateEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ListMigrateEvent
      extends javax.faces.event.AjaxBehaviorEvent

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ListMigrateEvent.MigrationRecord`

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListMigrateEvent(javax.faces.event.AjaxBehaviorEvent event, java.util.List<ListMigrateEvent.MigrationRecord> migrationRecords, ACEList srcList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ListMigrateEvent.MigrationRecord>` | `getMigrationRecords()`
    `ACEList` | `getSrcList()`

    - ### Methods inherited from class javax.faces.event.AjaxBehaviorEvent

      `isAppropriateListener, processListener`

    - ### Methods inherited from class javax.faces.event.BehaviorEvent

      `getBehavior`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListMigrateEvent

          public ListMigrateEvent(javax.faces.event.AjaxBehaviorEvent event,
                                  java.util.List<ListMigrateEvent.MigrationRecord> migrationRecords,
                                  ACEList srcList)

  - ### Method Detail

    - #### getMigrationRecords

          public java.util.List<ListMigrateEvent.MigrationRecord> getMigrationRecords()

    - #### getSrcList

          public ACEList getSrcList()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.